import { Plugin } from '../Plugin';
import { BabelRC } from '../utils/babel-config';
export declare type Env = 'production' | 'development';
export declare type ThemeConfig = Record<string, any>;
export interface Argv {
    base: string;
    src: string;
    files: string;
    dest: string;
    debug: boolean;
    typescript: boolean;
    propsParser: boolean;
    protocol: string;
    host: string;
    port: number;
    websocketPort: number;
    websocketHost: string;
    hotPort: number;
    hotHost: string;
    title: string;
    description: string;
    theme: string;
    ordering: 'ascending' | 'descending';
    wrapper?: string;
    indexHtml?: string;
}
export interface Config extends Argv {
    hashRouter: boolean;
    plugins: Plugin[];
    mdPlugins: any[];
    hastPlugins: any[];
    themeConfig: ThemeConfig;
    modifyBundlerConfig<C>(config: C, dev: boolean, args: Config): C;
    modifyBabelRc(babelrc: BabelRC, args: Config): BabelRC;
}
export declare const args: (env: Env) => (yargs: any) => void;
